Bug 497739 - Power management is broken on Aureal cards
Power management is broken on Aureal cards
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 15:00 EDT by Callum Lerwick
Modified: 2010-07-23 10:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:13:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Callum Lerwick 2009-04-26 15:00:58 EDT
Description of problem:
After a hibernate-resume cycle, my Aureal Vortex 2 card stops working. Anything trying to output audio to it just gets stuck, and I see all kind of spew in my syslog, like this:

Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x40
Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x2060
Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x3641
Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x2101
Apr 26 11:20:11 localhost kernel: vortex_adb_delroutes: route not found! 0x3641
Apr 26 11:20:11 localhost kernel: vortex_adb_delroutes: route not found! 0x2101
Apr 26 11:20:11 localhost kernel: mix ALARM 0
Apr 26 11:20:11 localhost kernel: vortex_adb_delroutes: route not found! 0x3593
Apr 26 11:20:11 localhost kernel: mix ALARM 0
Apr 26 11:20:11 localhost kernel: Vortex: vortex_fifo_setadbctrl fail
Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x3642
Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x3743
Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x2201
Apr 26 11:20:11 localhost kernel: Vortex: vortex_fifo_setadbctrl fail

Etc etc etc. I don't think this has ever worked, though, so it is probably not a regression. So it's not really specific to any kernel version, I know it was broken in at least F10, and probably goes back farther. The driver is 'au88x0'.

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-85.fc11.x86_64

How reproducible:
100%
Comment 1 Bug Zapper 2009-06-09 10:36:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:56:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 08:13:28 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Raymond 2010-07-23 10:50:38 EDT
(In reply to comment #0)
> Description of problem:
> After a hibernate-resume cycle, my Aureal Vortex 2 card stops working. Anything
> trying to output audio to it just gets stuck, and I see all kind of spew in my
> syslog, like this:
> 
> Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x40
> Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x2060
> Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x3641
> Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x2101
> Apr 26 11:20:11 localhost kernel: vortex_adb_delroutes: route not found! 0x3641
> Apr 26 11:20:11 localhost kernel: vortex_adb_delroutes: route not found! 0x2101
> Apr 26 11:20:11 localhost kernel: mix ALARM 0
> Apr 26 11:20:11 localhost kernel: vortex_adb_delroutes: route not found! 0x3593
> Apr 26 11:20:11 localhost kernel: mix ALARM 0
> Apr 26 11:20:11 localhost kernel: Vortex: vortex_fifo_setadbctrl fail
> Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x3642
> Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x3743
> Apr 26 11:20:11 localhost kernel: vortex_adb_addroutes: unending route! 0x2201
> Apr 26 11:20:11 localhost kernel: Vortex: vortex_fifo_setadbctrl fail
> 
> Etc etc etc. I don't think this has ever worked, though, so it is probably not
> a regression. So it's not really specific to any kernel version, I know it was
> broken in at least F10, and probably goes back farther. The driver is 'au88x0'.
> 
> Version-Release number of selected component (if applicable):
> kernel-2.6.29.1-85.fc11.x86_64
> 
> How reproducible:
> 100%    

THe au88x0 driver has not implemented suspend/resume feature

Don't let your computer enter suspend mode

Note You need to log in before you can comment on or make changes to this bug.